package com.supwisdom.institute.backend.system.domain.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.supwisdom.institute.backend.common.framework.service.ABaseService;
import com.supwisdom.institute.backend.system.domain.entity.Config;
import com.supwisdom.institute.backend.system.domain.repo.ConfigRepository;

@Service
public class ConfigService extends ABaseService<Config, ConfigRepository> {
  
  @Autowired
  private ConfigRepository configRepository;

  @Override
  public ConfigRepository getRepo() {
    return configRepository;
  }

  public Config selectByCategoryKey(String categoryCode, String configKey) {
    
    return configRepository.selectByCategoryKey(categoryCode, configKey);
  }

}
